MyWiki:Reliable sources/Perennial sources/styles.css

From Wikipedia, the free encyclopedia
Jump to navigation Jump to search
/* Reliability statuses:
	s-gr – generally reliable
	s-nc – no consensus
	s-gu – generally unreliable
	s-d – deprecated
	s-b – blacklisted
*/
.s-gr,
.s-gr td {
	background-color: #dfd;
}

.s-m,
.s-m td,
.s-nc,
.s-nc td {
	background-color: #ffd;
}

.s-gu,
.s-gu td {
	background-color: #fdd;
}

.s-d,
.s-d td {
	background-color: #fbb;
}

.s-b,
.s-b td {
	background-color: #ddd;
}

/* Centering for columns 2, 4 and 6 (status icons, last discussion dates, links) */
.perennial-sources td:nth-child(2),
.perennial-sources td:nth-child(4),
.perennial-sources td:nth-child(6) {
	margin: auto;
	text-align: center
}

/* Centering for "show/hide" buttons */
.perennial-sources .mw-collapsible-toggle {
	float: none;
	text-align: center
}

/* Small text and increased line height for column 5 (summaries) */
.perennial-sources td:nth-child(5) {
	font-size: 85%;
	line-height: 1.75
}

/* Spacing in legend */
.perennial-sources-legend > ul {
	margin-top: 1em;	
}

.perennial-sources-legend > ul > li {
	margin-bottom: 1em;
}

/* Shortcut */
.wp-rsp-sc {
	font-size: 80%;
	font-weight: bold;
	background-color: var(--background-color-base, #fff);
	border: 1px solid #aaa;
	padding: 3px;
	clear: both;
}
.wp-rsp-sc2 {
	font-size: 80%;
	font-weight: bold;
	background-color: var(--background-color-base, #fff);
	border: 1px solid #aaa;
	padding: 3px;
	clear: both;
}
.wp-rsp-sc2::after {
	content: " 📌";
}

.details {
	display:inline-block;
	margin: 0 0 0.1em 1em;
	background-color:#f4fff2;
	border:thin solid #aaa;
	padding:0 4px
}

.search {
	text-align:center; 
	border:1px solid var(--border-color-base,#a2a9b1); 
	max-width:35em; 
	margin:0 auto;
}

.search-top {
	font-size:120%; 
	background-color: var(--background-color-neutral,#eaecf0);
	text-align: center;
	padding: 0.1em 0;
	font-weight: bold;
}

.search-box {
	padding:1.3em 1.5em;
	background-color:var(--background-color-neutral-subtle,#f8f9fa); 
	border-top:none;
}

.search-sub {
	font-size:smaller;
	font-style:italic;
	padding-top:0.4em;
	background-color:var(--background-color-neutral-subtle,#f8f9fa);
}

#search-box input::placeholder {
	font-family: 'Helvetica Neue', 'Helvetica', 'Liberation Sans', 'Arial', sans-serif;
	font-size: smaller;
	line-height: 95%;
	color: var(--color-base--subtle, #72777d);
}

.search-foot {
	padding:0.1em 0.5em;
	background-color:var(--background-color-neutral-subtle,#f4f5f6); 
	border-top:1px solid var(--border-color-base,#a2a9b1);
}

.index-list-tab {
	font-weight:bold;
	margin:0.8em 0 0.4em 4em;
}

.source-intro {
	font-weight:400;
	display:inline;
}

.source-status-label {
	font-weight:bold;
}

.source-talk-last {
	font-weight:bold;
}

.source-summary { /* coming... */
}

.source-excerpt {
	font-style:italic;
	border:thin solid BurlyWood;
	padding:0.4em 1.2em;
}

.source-disc-list { /* coming... */
}
/*
* From: Wikipedia:Reliable sources/Perennial sources/Shortcut/styles.css
* The class .wp-rsp-sc applies to the shortcut links embedded in the table.
*/
.wp-rsp-sc {
	font-size: 80%;
	font-weight: bold;
	background-color: var(--background-color-base, #fff);
	border: 1px solid #aaa;
	padding: 3px;
	clear: both;
}

@media screen {
	html.skin-theme-clientpref-night .s-gr,
	html.skin-theme-clientpref-night .s-gr td {
		background-color: #030;
	}
	
	html.skin-theme-clientpref-night .s-m,
	html.skin-theme-clientpref-night .s-m td,
	html.skin-theme-clientpref-night .s-nc,
	html.skin-theme-clientpref-night .s-nc td {
		background-color: #330;
	}
	
	html.skin-theme-clientpref-night .s-gu,
	html.skin-theme-clientpref-night .s-gu td {
		background-color: #300;
	}
	
	html.skin-theme-clientpref-night .s-d,
	html.skin-theme-clientpref-night .s-d td {
		background-color: #1a0000;
	}
	
	/* we just use base color for blacklisted */
	html.skin-theme-clientpref-night .s-b,
	html.skin-theme-clientpref-night .s-b td {
		background-color: inherit;
	}
}


@media screen and (prefers-color-scheme: dark) {
	html.skin-theme-clientpref-os .s-gr,
	html.skin-theme-clientpref-os .s-gr td {
		background-color: #030;
	}
	
	html.skin-theme-clientpref-os .s-m,
	html.skin-theme-clientpref-os .s-m td,
	html.skin-theme-clientpref-os .s-nc,
	html.skin-theme-clientpref-os .s-nc td {
		background-color: #330;
	}
	
	html.skin-theme-clientpref-os .s-gu,
	html.skin-theme-clientpref-os .s-gu td {
		background-color: #300;
	}
	
	html.skin-theme-clientpref-os .s-d,
	html.skin-theme-clientpref-os .s-d td {
		background-color: #1a0000;
	}
	
	/* we just use base color for blacklisted*/
	html.skin-theme-clientpref-os .s-b,
	html.skin-theme-clientpref-os .s-b td {
		background-color: inherit;
	}
}